# This file is a template, and might need editing before it works on your project.
# You can copy and paste this template into a new `.gitlab-ci.yml` file.
# You should not add this template to an existing `.gitlab-ci.yml` file by using the `include:` keyword.
#
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Bash.gitlab-ci.yml

# See https://docs.gitlab.com/ee/ci/yaml/index.html for all available options

# you can delete this line if you're not using Docker
# image: busybox:latest

build1:
  stage: build
  script:
    - echo "make"

deploy1:
  stage: deploy
  script:
    - echo "kubectl create namespace otel-demo kubectl apply --namespace otel-demo -f /kubernetes/opentelemetry-demo.yaml"
  environment: production
